searchData={"items":[{"type":"task","title":"mix vitex","doc":"Invokes Vite with the given args.\n\nUsage:\n\n    $ mix vitex COMMAND ARGS\n\nExamples:\n\n    $ mix vitex build\n    $ mix vitex dev\n    $ mix vitex preview","ref":"Mix.Tasks.Vitex.html"},{"type":"task","title":"mix vitex.build","doc":"Builds assets via Vite.\n\nUsage:\n\n    $ mix vite.build\n\nThe task will install dependencies if needed and then run the build.","ref":"Mix.Tasks.Vitex.Build.html"},{"type":"task","title":"mix vitex.deps","doc":"Installs JavaScript dependencies.\n\nUsage:\n\n    $ mix vite.deps","ref":"Mix.Tasks.Vitex.Deps.html"},{"type":"task","title":"mix vitex.install","doc":"Installs and configures Phoenix Vite in a Phoenix application using Igniter.\n\nThis installer:\n1. Creates vite.config.js with appropriate configuration\n2. Updates package.json with Vite dependencies and scripts\n3. Adds the Vite watcher to the development configuration\n4. Updates the root layout template to use Vite helpers\n5. Creates or updates asset files for Vite","ref":"Mix.Tasks.Vitex.Install.html"},{"type":"task","title":"Usage - mix vitex.install","doc":"$ mix vitex.install","ref":"Mix.Tasks.Vitex.Install.html#module-usage"},{"type":"task","title":"Options - mix vitex.install","doc":"--ssr                Enable Server-Side Rendering support\n    --tls                Enable automatic TLS certificate detection\n    --react              Enable React Fast Refresh support\n    --typescript         Enable TypeScript support\n    --inertia            Enable Inertia.js support (automatically enables React)\n    --yes                Don't prompt for confirmations","ref":"Mix.Tasks.Vitex.Install.html#module-options"},{"type":"function","title":"Mix.Tasks.Vitex.Install.create_vite_config/1","doc":"","ref":"Mix.Tasks.Vitex.Install.html#create_vite_config/1"},{"type":"function","title":"Mix.Tasks.Vitex.Install.maybe_add_inertia_dep/1","doc":"","ref":"Mix.Tasks.Vitex.Install.html#maybe_add_inertia_dep/1"},{"type":"function","title":"Mix.Tasks.Vitex.Install.maybe_setup_inertia/1","doc":"","ref":"Mix.Tasks.Vitex.Install.html#maybe_setup_inertia/1"},{"type":"function","title":"Mix.Tasks.Vitex.Install.remove_old_watchers/1","doc":"","ref":"Mix.Tasks.Vitex.Install.html#remove_old_watchers/1"},{"type":"function","title":"Mix.Tasks.Vitex.Install.setup_assets/1","doc":"","ref":"Mix.Tasks.Vitex.Install.html#setup_assets/1"},{"type":"function","title":"Mix.Tasks.Vitex.Install.setup_html_helpers/1","doc":"","ref":"Mix.Tasks.Vitex.Install.html#setup_html_helpers/1"},{"type":"function","title":"Mix.Tasks.Vitex.Install.setup_watcher/1","doc":"","ref":"Mix.Tasks.Vitex.Install.html#setup_watcher/1"},{"type":"function","title":"Mix.Tasks.Vitex.Install.update_mix_aliases/1","doc":"","ref":"Mix.Tasks.Vitex.Install.html#update_mix_aliases/1"},{"type":"function","title":"Mix.Tasks.Vitex.Install.update_package_json/1","doc":"","ref":"Mix.Tasks.Vitex.Install.html#update_package_json/1"},{"type":"function","title":"Mix.Tasks.Vitex.Install.update_root_layout/1","doc":"","ref":"Mix.Tasks.Vitex.Install.html#update_root_layout/1"},{"type":"function","title":"Mix.Tasks.Vitex.Install.update_vendor_imports/1","doc":"","ref":"Mix.Tasks.Vitex.Install.html#update_vendor_imports/1"},{"type":"task","title":"mix vitex.ssr.build","doc":"Builds Server-Side Rendering (SSR) assets via Vite.\n\nThis task is a convenience wrapper for building SSR assets.\nIt runs `vite build --ssr` with the appropriate environment.","ref":"Mix.Tasks.Vitex.Ssr.Build.html"},{"type":"task","title":"Usage - mix vitex.ssr.build","doc":"$ mix vitex.ssr.build\n\nThe task will install dependencies if needed and then run the SSR build.","ref":"Mix.Tasks.Vitex.Ssr.Build.html#module-usage"},{"type":"task","title":"Configuration - mix vitex.ssr.build","doc":"Ensure your vite.config.js has SSR configuration:\n\n    phoenix({\n      input: 'js/app.js',\n      ssr: 'js/ssr.js',\n      ssrOutputDirectory: '../priv/ssr',\n      // ... other options\n    })","ref":"Mix.Tasks.Vitex.Ssr.Build.html#module-configuration"},{"type":"module","title":"Vitex","doc":"Phoenix integration with Vite.\n\nThis module provides helpers for integrating Vite with Phoenix applications,\nhandling both development and production environments.","ref":"Vitex.html"},{"type":"function","title":"Vitex.asset_path/1","doc":"Get the URL for a Vite asset.\n\nIn development, returns the dev server URL.\nIn production, returns the hashed asset URL from the manifest.","ref":"Vitex.html#asset_path/1"},{"type":"function","title":"Example - Vitex.asset_path/1","doc":"","ref":"Vitex.html#asset_path/1-example"},{"type":"function","title":"Vitex.hmr_enabled?/0","doc":"Check if running in development mode with hot module replacement.","ref":"Vitex.html#hmr_enabled?/0"},{"type":"function","title":"Vitex.plugin_path/0","doc":"Get the path to the Vite plugin JavaScript files.\n\nThis is used to configure npm/yarn to use the plugin from the Elixir dependency.","ref":"Vitex.html#plugin_path/0"},{"type":"function","title":"Vitex.react_refresh/0","doc":"Generate a script tag for React Refresh in development.\n\nThis should be included before your main application scripts when using React.","ref":"Vitex.html#react_refresh/0"},{"type":"function","title":"Example - Vitex.react_refresh/0","doc":"<%= Vitex.react_refresh() %>","ref":"Vitex.html#react_refresh/0-example"},{"type":"function","title":"Vitex.vite_assets/1","doc":"Generate script tags for Vite entries.\n\nIn development, this will load scripts from the Vite dev server.\nIn production, this will load the built and hashed assets.","ref":"Vitex.html#vite_assets/1"},{"type":"function","title":"Examples - Vitex.vite_assets/1","doc":"<%= Vitex.vite_assets(\"js/app.js\") %>\n    <%= Vitex.vite_assets([\"js/app.js\", \"js/admin.js\"]) %>","ref":"Vitex.html#vite_assets/1-examples"},{"type":"function","title":"Vitex.vite_client/0","doc":"Generate Vite client script tag for development.\n\nThis enables hot module replacement and other development features.","ref":"Vitex.html#vite_client/0"},{"type":"function","title":"Example - Vitex.vite_client/0","doc":"<%= Vitex.vite_client() %>","ref":"Vitex.html#vite_client/0-example"},{"type":"extras","title":"README","doc":"Vitex\n \n \n\n[![Hex.pm](https://img.shields.io/hexpm/v/vitex.svg)](https://hex.pm/packages/vitex)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-lightgreen.svg)](https://hexdocs.pm/vitex/)\n[![License](https://img.shields.io/hexpm/l/vitex.svg)](https://github.com/nordbeam/vitex/blob/main/LICENSE)\n[![Elixir Version](https://img.shields.io/badge/elixir-~%3E%201.14-purple)](https://elixir-lang.org/)\n[![Phoenix Version](https://img.shields.io/badge/phoenix-~%3E%201.8-orange)](https://www.phoenixframework.org/)\n\n**Phoenix integration for Vite - a fast frontend build tool**\n\n[Features](#features) • [Installation](#installation) • [Usage](#usage) • [Configuration](#configuration) • [Documentation](#documentation)","ref":"readme.html"},{"type":"extras","title":"Table of Contents - README","doc":"- [Introduction](#introduction)\n- [Features](#features)\n- [Installation](#installation)\n  - [Automatic Installation (Recommended)](#automatic-installation-recommended)\n  - [Manual Installation](#manual-installation)\n- [Usage](#usage)\n  - [Basic Usage](#basic-usage)\n  - [React Support](#react-support)\n  - [TypeScript Support](#typescript-support)\n  - [Inertia.js Integration](#inertiajs-integration)\n  - [Server-Side Rendering (SSR)](#server-side-rendering-ssr)\n- [Configuration](#configuration)\n  - [Vite Configuration](#vite-configuration)\n  - [TLS/HTTPS Setup](#tlshttps-setup)\n  - [Environment Variables](#environment-variables)\n- [Mix Tasks](#mix-tasks)\n- [Helper Functions](#helper-functions)\n- [Common Use Cases](#common-use-cases)\n  - [Single Page Applications](#single-page-applications)\n  - [Tailwind CSS](#tailwind-css)\n  - [Multiple Entry Points](#multiple-entry-points)\n  - [Code Splitting](#code-splitting)\n- [Troubleshooting](#troubleshooting)\n- [Contributing](#contributing)\n- [License](#license)","ref":"readme.html#table-of-contents"},{"type":"extras","title":"Introduction - README","doc":"Vitex brings the power of [Vite](https://vitejs.dev/) to Phoenix applications, replacing the traditional esbuild setup with a modern, fast, and feature-rich development experience. With Vitex, you get instant hot module replacement (HMR), optimized production builds, and seamless integration with modern frontend frameworks.","ref":"readme.html#introduction"},{"type":"extras","title":"Why Vitex? - README","doc":"- **⚡ Lightning Fast HMR**: See your changes instantly without page reloads\n- **🔧 Zero Configuration**: Works out of the box with sensible defaults\n- **🎯 Framework Agnostic**: Support for React, Vue, Svelte, and vanilla JavaScript\n- **📦 Optimized Builds**: Automatic code splitting and tree shaking\n- **🔥 Modern Development**: ES modules, TypeScript, JSX, and CSS modules support\n- **🚀 Production Ready**: Efficient bundling with rollup under the hood","ref":"readme.html#why-vitex"},{"type":"extras","title":"Features - README","doc":"- ✅ **Hot Module Replacement (HMR)** - Instant updates without losing state\n- ✅ **React Fast Refresh** - Preserve component state during development\n- ✅ **TypeScript Support** - First-class TypeScript support with zero config\n- ✅ **Inertia.js Integration** - Build SPAs with server-side routing\n- ✅ **SSR Support** - Server-side rendering for better SEO and performance\n- ✅ **Asset Optimization** - Automatic minification, tree-shaking, and code splitting\n- ✅ **CSS Processing** - PostCSS, CSS modules, and preprocessor support\n- ✅ **Static Asset Handling** - Import images, fonts, and other assets\n- ✅ **Manifest Generation** - Production-ready asset manifests with hashing\n- ✅ **Multiple Entry Points** - Support for multiple JavaScript/CSS entry files\n- ✅ **Phoenix LiveView Compatible** - Works seamlessly with LiveView\n- ✅ **Automatic TLS Detection** - Detects and uses local certificates for HTTPS","ref":"readme.html#features"},{"type":"extras","title":"Installation - README","doc":"","ref":"readme.html#installation"},{"type":"extras","title":"Automatic Installation (Recommended) - README","doc":"The easiest way to add Vitex to your Phoenix application is using the automatic installer with [Igniter](https://github.com/ash-project/igniter):\n\n1. Use the [Igniter](https://hexdocs.pm/igniter) installer.\n\n```sh\nmix archive.install hex igniter_new\n```\n\n3. Run the installer:\n\n```bash\n# Basic installation\nmix igniter.install vitex\n\n# With React support\nmix igniter.install vitex --react\n\n# With TypeScript\nmix igniter.install vitex --typescript\n\n# With Inertia.js (includes React)\nmix igniter.install vitex --inertia\n\n# With all features\nmix igniter.install vitex --react --typescript --tls\n```\n\nThe installer will:\n- Create `vite.config.js` with appropriate settings\n- Update `package.json` with necessary dependencies\n- Configure Phoenix watchers for development\n- Update your root layout to use Vite helpers\n- Set up asset files for your chosen configuration","ref":"readme.html#automatic-installation-recommended"},{"type":"extras","title":"Manual Installation - README","doc":"If you prefer manual setup or don't want to use Igniter:\n\n1. Add Vitex to your dependencies:\n\n```elixir\n# mix.exs\ndef deps do\n  [\n    {:vitex, \"~> 0.1.0\"}\n  ]\nend\n```\n\n2. Create `assets/vite.config.js`:\n\n```javascript\nimport { defineConfig } from 'vite'\nimport phoenix from '../deps/vitex/priv/static/vitex'\n\nexport default defineConfig({\n  plugins: [\n    phoenix({\n      input: ['js/app.js', 'css/app.css'],\n      publicDirectory: '../priv/static',\n      buildDirectory: 'assets',\n      hotFile: '../priv/hot',\n      manifestPath: '../priv/static/assets/manifest.json',\n      refresh: true\n    })\n  ],\n})\n```\n\n3. Update `assets/package.json`:\n\n```json\n{\n  \"name\": \"your_app\",\n  \"private\": true,\n  \"type\": \"module\",\n  \"scripts\": {\n    \"dev\": \"vite\",\n    \"build\": \"vite build\"\n  },\n  \"dependencies\": {\n    \"vite\": \"^7.0.0\"\n  }\n}\n```\n\n4. Update your Phoenix configuration:\n\n```elixir\n# config/dev.exs\nconfig :your_app, YourAppWeb.Endpoint,\n  watchers: [\n    node: [\"node_modules/.bin/vite\", cd: \"assets\"]\n  ]\n```\n\n5. Update your root layout:\n\n```heex\n# lib/your_app_web/components/layouts/root.html.heex\n<!DOCTYPE html>\n \n   \n    <!-- ... -->\n    <%= Vitex.vite_client() %>\n    <%= Vitex.vite_assets(\"css/app.css\") %>\n    <%= Vitex.vite_assets(\"js/app.js\") %>\n   \n  <!-- ... -->\n \n```","ref":"readme.html#manual-installation"},{"type":"extras","title":"Usage - README","doc":"","ref":"readme.html#usage"},{"type":"extras","title":"Basic Usage - README","doc":"After installation, Vitex provides helper functions for your templates:\n\n```heex\n<!-- In your root layout -->\n<%= Vitex.vite_client() %> <!-- Enables HMR in development -->\n<%= Vitex.vite_assets(\"js/app.js\") %>\n<%= Vitex.vite_assets(\"css/app.css\") %>\n```\n\nStart your Phoenix server:\n\n```bash\nmix phx.server\n```\n\nVite will automatically start in development mode with HMR enabled.","ref":"readme.html#basic-usage"},{"type":"extras","title":"React Support - README","doc":"To use React with Fast Refresh:\n\n```heex\n<!-- In your layout -->\n<%= Vitex.react_refresh() %> <!-- Add before your app scripts -->\n<%= Vitex.vite_assets(\"js/app.jsx\") %>\n```\n\nConfigure Vite for React:\n\n```javascript\n// vite.config.js\nimport { defineConfig } from 'vite'\nimport phoenix from '../deps/vitex/priv/static/vitex'\nimport react from '@vitejs/plugin-react'\n\nexport default defineConfig({\n  plugins: [\n    react(),\n    phoenix({\n      input: ['js/app.jsx', 'css/app.css'],\n      reactRefresh: true,\n      // ... other options\n    })\n  ],\n})\n```","ref":"readme.html#react-support"},{"type":"extras","title":"TypeScript Support - README","doc":"Vitex supports TypeScript out of the box:\n\n```javascript\n// vite.config.js\nexport default defineConfig({\n  plugins: [\n    phoenix({\n      input: ['js/app.ts', 'css/app.css'],\n      // ... other options\n    })\n  ],\n})\n```\n\nCreate `assets/tsconfig.json`:\n\n```json\n{\n  \"compilerOptions\": {\n    \"target\": \"ES2020\",\n    \"module\": \"ESNext\",\n    \"lib\": [\"ES2020\", \"DOM\"],\n    \"jsx\": \"react-jsx\",\n    \"strict\": true,\n    \"moduleResolution\": \"bundler\",\n    \"resolveJsonModule\": true,\n    \"isolatedModules\": true,\n    \"noEmit\": true\n  },\n  \"include\": [\"js/**/*\"]\n}\n```","ref":"readme.html#typescript-support"},{"type":"extras","title":"Inertia.js Integration - README","doc":"For building SPAs with Inertia.js:\n\n```elixir\n# In your controller\ndef index(conn, _params) do\n  conn\n  |> assign_prop(:users, Users.list_users())\n  |> render_inertia(\"Users/Index\")\nend\n```\n\n```jsx\n// assets/js/pages/Users/Index.jsx\nimport React from 'react'\n\nexport default function UsersIndex({ users }) {\n  return (\n     \n       Users \n      {users.map(user => (\n         {user.name} \n      ))}\n     \n  )\n}\n```","ref":"readme.html#inertia-js-integration"},{"type":"extras","title":"Server-Side Rendering (SSR) - README","doc":"Enable SSR in your Vite config:\n\n```javascript\n// vite.config.js\nexport default defineConfig({\n  plugins: [\n    phoenix({\n      input: ['js/app.js', 'css/app.css'],\n      ssr: 'js/ssr.js',\n      // ... other options\n    })\n  ],\n})\n```\n\nBuild your SSR bundle:\n\n```bash\nmix vitex.ssr.build\n```","ref":"readme.html#server-side-rendering-ssr"},{"type":"extras","title":"Configuration - README","doc":"","ref":"readme.html#configuration"},{"type":"extras","title":"Vite Configuration - README","doc":"The Phoenix Vite plugin accepts the following options:\n\n```javascript\nphoenix({\n  // Entry files (required)\n  input: ['js/app.js', 'css/app.css'],\n\n  // Output directories\n  publicDirectory: '../priv/static',\n  buildDirectory: 'assets',\n\n  // Development server\n  hotFile: '../priv/hot',\n  detectTls: true, // Auto-detect local certificates\n\n  // Build options\n  manifestPath: '../priv/static/assets/manifest.json',\n\n  // Features\n  refresh: true, // Enable full page reload on blade/heex changes\n  reactRefresh: true, // Enable React Fast Refresh\n\n  // SSR\n  ssr: 'js/ssr.js', // SSR entry point\n})\n```","ref":"readme.html#vite-configuration"},{"type":"extras","title":"TLS/HTTPS Setup - README","doc":"Vitex can automatically detect local TLS certificates. Enable with:\n\n```javascript\nphoenix({\n  detectTls: true,\n  // ... other options\n})\n```\n\nFor manual TLS configuration, see the [TLS setup guide](priv/vitex/docs/tls-setup.md).","ref":"readme.html#tls-https-setup"},{"type":"extras","title":"Environment Variables - README","doc":"Vitex respects the following environment variables:\n\n- `NODE_ENV` - Set to \"production\" for production builds\n- `VITE_PORT` - Custom Vite dev server port\n- `VITE_DEV_SERVER_KEY` - Path to TLS key file\n- `VITE_DEV_SERVER_CERT` - Path to TLS certificate file","ref":"readme.html#environment-variables"},{"type":"extras","title":"Mix Tasks - README","doc":"Vitex provides several Mix tasks:\n\n### `mix vitex`\nRun Vite commands directly:\n\n```bash\nmix vitex build         # Build for production\nmix vitex dev          # Start dev server\nmix vitex preview      # Preview production build\n```\n\n### `mix vitex.install`\nInstall and configure Vitex (requires Igniter):\n\n```bash\nmix vitex.install [options]\n\nOptions:\n  --react        Enable React support\n  --typescript   Enable TypeScript\n  --inertia      Enable Inertia.js (includes React)\n  --tls          Enable TLS auto-detection\n  --ssr          Enable SSR support\n```\n\n### `mix vitex.build`\nBuild assets for production:\n\n```bash\nmix vitex.build\n```\n\n### `mix vitex.ssr.build`\nBuild SSR bundle:\n\n```bash\nmix vitex.ssr.build\n```","ref":"readme.html#mix-tasks"},{"type":"extras","title":"Helper Functions - README","doc":"Vitex provides the following helper functions:\n\n### `Vitex.vite_assets/1`\nGenerate script/link tags for entries:\n\n```elixir\nVitex.vite_assets(\"js/app.js\")\n# In dev:   \n# In prod:   \n\nVitex.vite_assets([\"js/app.js\", \"js/admin.js\"])\n# Generates tags for multiple entries\n```\n\n### `Vitex.vite_client/0`\nEnable HMR in development:\n\n```elixir\nVitex.vite_client()\n# In dev:   \n# In prod: <!-- nothing -->\n```\n\n### `Vitex.react_refresh/0`\nEnable React Fast Refresh:\n\n```elixir\nVitex.react_refresh()\n# Injects React Refresh runtime in development\n```\n\n### `Vitex.asset_path/1`\nGet the URL for an asset:\n\n```elixir\nVitex.asset_path(\"images/logo.png\")\n# In dev: \"http://localhost:5173/images/logo.png\"\n# In prod: \"/assets/logo.123abc.png\"\n```\n\n### `Vitex.hmr_enabled?/0`\nCheck if HMR is active:\n\n```elixir\nif Vitex.hmr_enabled?() do\n  # Development-specific code\nend\n```","ref":"readme.html#helper-functions"},{"type":"extras","title":"Common Use Cases - README","doc":"","ref":"readme.html#common-use-cases"},{"type":"extras","title":"Single Page Applications - README","doc":"Build SPAs with client-side routing:\n\n```javascript\n// vite.config.js\nexport default defineConfig({\n  plugins: [\n    phoenix({\n      input: ['js/app.jsx'],\n      // ... other options\n    })\n  ],\n  build: {\n    rollupOptions: {\n      output: {\n        manualChunks: {\n          vendor: ['react', 'react-dom', 'react-router-dom']\n        }\n      }\n    }\n  }\n})\n```","ref":"readme.html#single-page-applications"},{"type":"extras","title":"Tailwind CSS - README","doc":"Vitex works great with Tailwind CSS v4:\n\n```javascript\n// vite.config.js\nimport tailwindcss from '@tailwindcss/vite'\n\nexport default defineConfig({\n  plugins: [\n    tailwindcss(),\n    phoenix({\n      // ... options\n    })\n  ],\n})\n```","ref":"readme.html#tailwind-css"},{"type":"extras","title":"Multiple Entry Points - README","doc":"Support multiple sections of your app:\n\n```javascript\nphoenix({\n  input: [\n    'js/app.js',\n    'js/admin.js',\n    'css/app.css',\n    'css/admin.css'\n  ],\n  // ... other options\n})\n```","ref":"readme.html#multiple-entry-points"},{"type":"extras","title":"Code Splitting - README","doc":"Vite automatically handles code splitting for dynamic imports:\n\n```javascript\n// Lazy load a component\nconst AdminPanel = lazy(() => import('./components/AdminPanel'))\n\n// Dynamic import based on route\nif (route === '/admin') {\n  const { initAdmin } = await import('./admin')\n  initAdmin()\n}\n```","ref":"readme.html#code-splitting"},{"type":"extras","title":"Troubleshooting - README","doc":"","ref":"readme.html#troubleshooting"},{"type":"extras","title":"Common Issues - README","doc":"**Vite dev server not starting**\n- Check that Node.js is installed (v18+ recommended)\n- Ensure `assets/package.json` exists\n- Run `npm install` in the assets directory\n\n**Assets not loading in production**\n- Run `mix vitex.build` before deploying\n- Check that manifest.json is generated in `priv/static/assets/`\n- Ensure `priv/static` is included in your release\n\n**HMR not working**\n- Verify Vite dev server is running (check `priv/hot` file)\n- Check browser console for connection errors\n- Ensure `Vitex.vite_client()` is included in your layout\n\n**TypeScript errors**\n- Vite doesn't type-check by default (for speed)\n- Use your editor's TypeScript integration\n- Run `tsc --noEmit` for full type checking","ref":"readme.html#common-issues"},{"type":"extras","title":"Getting Help - README","doc":"- 📚 [Documentation](https://hexdocs.pm/vitex)\n- 💬 [Phoenix Forum](https://elixirforum.com/c/phoenix-forum)\n- 🐛 [Issue Tracker](https://github.com/nordbeam/vitex/issues)","ref":"readme.html#getting-help"},{"type":"extras","title":"Contributing - README","doc":"We welcome contributions! Please see our [Contributing Guide](CONTRIBUTING.md) for details.\n\n1. Fork the repository\n2. Create your feature branch (`git checkout -b feature/amazing-feature`)\n3. Commit your changes (`git commit -m 'Add amazing feature'`)\n4. Push to the branch (`git push origin feature/amazing-feature`)\n5. Open a Pull Request","ref":"readme.html#contributing"},{"type":"extras","title":"Development Setup - README","doc":"```bash\n# Clone the repo\ngit clone https://github.com/nordbeam/vitex.git\ncd vitex\n\n# Install dependencies\nmix deps.get\ncd priv/vitex && npm install\n\n# Run tests\nmix test\n\n# Build the Vite plugin\ncd priv/vitex && npm run build\n```","ref":"readme.html#development-setup"},{"type":"extras","title":"License - README","doc":"This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.\n\nCopyright (c) 2025 Nordbeam Team\n\n---\n\n \nMade with ❤️ by the Nordbeam Team","ref":"readme.html#license"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"v0.1.0 (2025-06-25) - Changelog","doc":"","ref":"changelog.html#v0-1-0-2025-06-25"},{"type":"extras","title":"Features - Changelog","doc":"* Initial release of Vitex - Phoenix integration for Vite\n* Mix tasks for installing and configuring Vite in Phoenix projects\n* SSR build support\n* TypeScript plugin for seamless Phoenix integration\n* Hot Module Replacement (HMR) support\n* Multiple entry points support\n* Asset fingerprinting and manifest generation","ref":"changelog.html#features"}],"content_type":"text/markdown","proglang":"elixir","producer":{"name":"ex_doc","version":"0.38.2"}}